---
layout: "layout"
title: Publications
---
/ Fix for fixed navbar because there is only is-fullheight-with-navbar
/ https://github.com/jgthms/bulma/issues/3205
section.hero
  .hero-body

h1.title.is-1.has-text-centered#external-articles External articles

.columns.is-multiline
  - data.publications.external_articles.each do |article|
    .column.is-one-quarter
      .card
        header.card-header
          p.card-header-title = article.title + " (#{article.year}) " + " [#{article.lang.join(',')}]"
          a.card-header-icon href="#"
            span.icon
              i.fas.fa-newspaper aria-hidden="true"
        .card-image
          figure.image
            img src=article.thumbnail alt="Pivoting"
        .card-content
          .content = article.description
        - article.company.each_with_index do |company, i|
          footer.card-footer
            a.card-footer-item href=article.article[i] target='_blank' rel='noopener noreferrer' Article [#{article.lang[i]}] (#{company})

h1.title.is-1.has-text-centered#internal-articles Internal articles

.columns.is-multiline
  .column
    article.panel
      p.panel-heading
        | Articles & Write-ups
      .panel-tabs
        a.is-active(data-target="security") Security
        a(data-target="linux") Linux
      .panel-block
        | Featured articles from blog.raw.pm
      - for article in data.publications.internal_articles.security do
        a.panel-block data-category="security" href=article.link target='_blank' rel='noopener noreferrer'
          span.panel-icon.has-text-primary
            i.far.fa-newspaper aria-hidden="true"
          | #{article.title}
      - for article in data.publications.internal_articles.linux do
        a.panel-block data-category="linux" href=article.link target='_blank' rel='noopener noreferrer'
          span.panel-icon.has-text-primary
            i.far.fa-newspaper aria-hidden="true"
          | #{article.title}

h1.title.is-1.has-text-centered#presentations Presentations

.columns.is-multiline
  - data.publications.presentations.each do |prez|
    .column.is-one-third
      .card
        header.card-header
          p.card-header-title = prez.title + " (#{prez.year}) " + " [#{prez.lang}]"
          a.card-header-icon href="#"
            span.icon
              i.fas.fa-tv aria-hidden="true"
        .card-image
          figure.image
            img src=prez.thumbnail alt=prez.title
        .card-content
          .content = prez.description
        footer.card-footer
          - prez.cards.each do |card|
            a.card-footer-item href=card.link target='_blank' rel='noopener noreferrer'
              = card.label

